/******************************************************************************

    FILE:  MC.H

       Header file for MC1.C, and MKBLKDIR.C routines.
       It contains the declarations for functions in those files,
       includes DBINC.H to provide access to the CODAS database
       routines, declarations, #defines and typedefs, and adds a #define
       of its own.

    89/02/21 - J. Ranada - University of Hawaii JIMAR
    95/08    - JR - removed CONVERT_ERROR definition and
                    identify_ms_code declaration (now part of DB)

*/
#include "dbhost.h"   /* PROTOTYPE_ALLOWED */

#if PROTOTYPE_ALLOWED
/*--- mkblkdir.c ---*/
int copy_file(char *fn_from, char *fn_to);
void dbcreate(int *db_id, char *db_name, char *prd_name, int *memory_mode, int *ierr);
/*--- MC1.C ---*/
int convert_block_dir     (char *db_name, int destmach);
int convert_block_file    (char *infile, char *outfile, int destmach);
int convert_block_hdr     (void);
int convert_data_list     (void);
int convert_block_strdef  (void);
int convert_profile_dir   (void);
int convert_block_var_data(void);
int convert_block_ftr     (void);
int convert_profiles      (void);
int get_data_list_ndx   (unsigned int index);

#else
/*--- mkblkdir.c ---*/
int copy_file();
void dbcreate();
/*--- MC1.C ---*/
int convert_block_dir();
int convert_block_file();
int convert_block_hdr();
int convert_data_list();
int convert_block_strdef();
int convert_profile_dir();
int convert_block_var_data();
int convert_block_ftr();
int convert_profiles();
int get_data_list_ndx();

#endif

